跳到主要内容

从 Collection 删除 Function Field (V2)

This operation drops a function field from an existing collection.

POST/v2/vectordb/collections/drop_function_field
连接端点

该 API 的 Base URL 格式如下:

https://${CLUSTER_ENDPOINT}

📘说明
  • 你需要填入您的 Zilliz Cloud 集群的 ${CLUSTER_ENDPOINT}
  • 您可以使用 查看集群详情 V2 来获取集群的 Endpoint.
shell
export CLUSTER_ENDPOINT=""
参数
Authorizationstringheader必填项

认证令牌,应为具备适当权限的 API 密钥或用冒号分隔的用户名和密码,如 username:password。如果您使用的是项目端点,则仅具备足够权限的有效 API 密钥适用。

示例值:Bearer {{TOKEN}}
请求体
dbNamestring

Database 名称。若未指定,则使用默认 Database。

collectionNamestring必填项

目标 Collection 的名称。

functionNamestring必填项

待删除的 Function Field 所关联的 Function 名称。

bash
export TOKEN="db_admin:xxxxxxxxxxxxx"

curl --request POST \
--url "${CLUSTER_ENDPOINT}/v2/vectordb/collections/drop_function_field" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Request-Timeout: 5" \
--header "Content-Type: application/json" \
-d '{
"dbName": "default",
"collectionName": "documents",
"functionName": "bm25_fn"
}'
响应

Returns an empty object.

codeinteger

响应码。

dataobject

返回错误消息。

codeinteger

响应码。

messagestring

错误描述。

Successjson
{
"code": 0,
"data": {}
}
Ctrl I